--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self.isEntered then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;

function ShowHelp:updateTick(dt)
end;

function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.20, 0.02, "Tasto Numpad 0: Info tasti");
	else
		renderText(0.72, 0.88, 0.022, "New Holland T4.55");				
		renderText(0.72, 0.84, 0.02, "Tasto spazio: Freno a mano");				
		renderText(0.72, 0.82, 0.02, "Tasto R-T: Regolazione tetto");
		renderText(0.72, 0.80, 0.02, "Tasto K-L: Regolazione lunotto");
		renderText(0.72, 0.78, 0.02, "Tasto F: Luci");
		renderText(0.72, 0.76, 0.02, "Tasto Numpad 1: Freccia sinistra");
		renderText(0.72, 0.74, 0.02, "Tasto Numpad 2: Frecce d'emergenza");
		renderText(0.72, 0.70, 0.02, "Tasto Numpad 3: Freccia destra");
		renderText(0.72, 0.68, 0.02, "Tasto 2x Num ENTER: Avviamento del motore");
		renderText(0.72, 0.66, 0.02, "Tasto Home: Lampeggiante");
		renderText(0.72, 0.64, 0.02, "Tasto 7-8 no numpad: Finestrini laterali");
		renderText(0.72, 0.62, 0.02, "Tasto Z: Tergicristallo");
		renderText(0.71, 0.60, 0.02, "Tasto lctr Numpad 5: Luci anteriori");
		renderText(0.71, 0.58, 0.02, "Tasto lctr Numpad 6: Luci posteriori");
		renderText(0.71, 0.56, 0.02, "Tasto Numpad 7: Porta destra");
		renderText(0.71, 0.54, 0.02, "Tasto Numpad 9: Porta sinistra");
		renderText(0.71, 0.50, 0.02, "Raccomando tastierino numerico");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;